Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface Filter

All Superinterfaces:
  RenderableImage

All Known Subinterfaces:
  AffineRable, BatikHistogramNormalizationFilter, ClipRable, ColorMatrixRable, ComponentTransferRable, CompositeRable, ConvolveMatrixRable, DiffuseLightingRable, DisplacementMapRable, FilterChainRable, FilterColorInterpolation, FilterResRable, FloodRable, GaussianBlurRable, GraphicsNodeRable, Mask, MorphologyRable, OffsetRable, PadRable, SpecularLightingRable, TileRable, TurbulenceRable

All Known Implementing Classes:
  AbstractColorInterpolationRable, AbstractRable, AffineRable8Bit, BackgroundRable8Bit, BatikHistogramNormalizationFilter8Bit, ClipRable8Bit, ColorMatrixRable8Bit, ComponentTransferRable8Bit, CompositeRable8Bit, ConvolveMatrixRable8Bit, DeferRable, DiffuseLightingRable8Bit, DisplacementMapRable8Bit, FilterAlphaRable, FilterAsAlphaRable, FilterChainRable8Bit, FilterResRable8Bit, FloodRable8Bit, GaussianBlurRable8Bit, GraphicsNodeRable8Bit, MaskRable8Bit, MorphologyRable8Bit, PadRable8Bit, ProfileRable, RedRable, SpecularLightingRable8Bit, TileRable8Bit, TurbulenceRable8Bit

    public interface Filter

extends RenderableImage

This is an extension of RenderableImage that adds some needed functionality for tracking dirty regions and determining image dependancies.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounds of the current image.
`Shape` | `getDependencyRegion(int srcIndex, Rectangle2D outputRgn)` Returns the region of input data is is required to generate outputRgn.
`Shape` | `getDirtyRegion(int srcIndex, Rectangle2D inputRgn)` This calculates the region of output that is affected by a change in a region of input.
`long` | `getTimeStamp()` Returns the current modification timestamp on this Renderable node.

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getBounds2D

    Rectangle2D getBounds2D()

  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

### getTimeStamp

    long getTimeStamp()

  Returns the current modification timestamp on this Renderable node. This value will change whenever cached output data becomes invalid.

  Returns:
    Current modification timestamp value.

### getDependencyRegion

    Shape getDependencyRegion(int srcIndex,
                              Rectangle2D outputRgn)

  Returns the region of input data is is required to generate outputRgn.

  Parameters:
    `srcIndex` - The source to do the dependency calculation for.
    `outputRgn` - The region of output you are interested in generating dependencies for. The is given in the user coordiate system for this node.
  Returns:
    The region of input required. This is in the user coordinate system for the source indicated by srcIndex.

### getDirtyRegion

    Shape getDirtyRegion(int srcIndex,
                         Rectangle2D inputRgn)

  This calculates the region of output that is affected by a change in a region of input.

  Parameters:
    `srcIndex` - The input that inputRgn reflects changes in.
    `inputRgn` - the region of input that has changed, used to calculate the returned shape. This is given in the user coordinate system of the source indicated by srcIndex.
  Returns:
    The region of output that would be invalid given a change to inputRgn of the source selected by srcIndex. this is in the user coordinate system of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.